@import url("https://fonts.googleapis.com/css2?family=Montserrat:wght@300;400;500;700;900&display=swap");

:root {
    --header-height: 3.5rem;
    --header-maintenance-height: 0px;
    --header-beta-height: 0px;
    --header-alpha-height: 0px;
    --nav-width-closed: 55px;
    --nav-width: 200px;
    --first-color: #141619;
    --z-fixed: 998;
    --z-fixed-important: 999;
    --z-fixed-very-important: 1000;
}

*,
::before,
::after {
    box-sizing: border-box;
}

body {
    position: relative;
    padding: 0 0.75rem;
    transition: .5s;
    background-image: url("../../carbon_lib/assets/images/transparent.png");
    background-repeat: no-repeat;
    background-attachment: fixed;
    background-size: cover;

    margin-top: calc(var(--header-height) + var(--header-maintenance-height) + var(--header-beta-height) + var(--header-alpha-height));
    margin-right: 0;
    margin-bottom: 0;
    margin-left: 0;
}

.modal-open { 
    /* This is for Bootstrap Modal Popups (Specifically needed on Site Layout Map to avoid a jitter when clicking on map pins */
    /* modal-open is put on the body element */
    padding-right: 0.75rem !important;
    overflow: visible !important;
}

#body {
    padding-top: 0.75rem;
    padding-left: var(--nav-width-closed);
}

a {
    text-decoration: none;
}

hr {
    border: 1px solid var(--primary-color);
}

p {
    margin: 0;
    padding: 0;
}

.btn {
    padding: 5px 10px;
}

#header {
    top: calc(var(--header-beta-height) + var(--header-alpha-height) + var(--header-maintenance-height));
}

.header {
    width: 100%;
    position: fixed;
    top: 0;
    left: 0;
    display: flex;
    align-items: center;
    justify-content: space-between;
    z-index: var(--z-fixed-important);
    transition: .5s;
    height: var(--header-height);
    padding: 0 0rem 0 calc(var(--nav-width-closed) + 1.75rem);
}

.header_logo {
    color: var(--first-color);
    font-size: 1.5rem;
    cursor: pointer;
    z-index: var(--z-fixed-very-important);
}

.header_menu_section {
    width: 100%;
    display: flex;
    justify-content: flex-end;
    align-items: center;
}

.header_toggle {
    display: flex;
    justify-content: start;
    transition: 0.39s;
}

.header_icon_pdl {
    padding-left: 64px;
    transition: 0.63s;
}

.header_icon_pdr {
    padding-right: 64px;
    transition: 0.63s;
}

.header_img {
    width: 35px;
    height: 35px;
    overflow: hidden;
    border-radius: 50%;
}

.header_dropdown_img {
    width: 22px;
    height: 22px;
    overflow: hidden;
    border-radius: 50%;
}

.PopupImg {
    width: 35px;
    height: 35px;
    overflow: hidden;
}

.l-navbar {
    position: fixed;
    top: 0;
    margin-top: calc(var(--header-maintenance-height) + var(--header-beta-height) + var(--header-alpha-height));
    width: var(--nav-width-closed);
    height: 99.95vh;
    transition: .5s;
    z-index: var(--z-fixed-important);
    border-style: solid;
    border-color: var(--primary-color);
    border-width: 1px 1px 1px 0px;
    overflow: auto;
    left: 0;
    padding: 1rem 0rem 0 0;
    border-radius: 0 5px 5px 0;
}

/*---------- SCROLLBAR STYLES -------------*/

/* width */
::-webkit-scrollbar {
    width: 3px;
    direction: rtl;
  }

  /* Track */
  ::-webkit-scrollbar-track {
    background-color: var(--background-color2); 
  }
   
  /* Handle */
  ::-webkit-scrollbar-thumb {
    background-color: var(--primary-color); 
  }
  
  /* Handle on hover */
  ::-webkit-scrollbar-thumb:hover {
    background-color: var(--button-hover-color); 
  }

/* -----------SCROLLBAR STYLES -------------*/

/* -----------Navigation/sidebard code--------- */
.nav {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    overflow: hidden;
}

.display_none {
    display: none;
}

.nav_logo,
.nav_link {
    display: grid;
    grid-template-columns: max-content max-content;
    align-items: center;
    column-gap: 1rem;
    padding: .4rem 0 .4rem 1rem;
}

.nav_logo {
    margin-bottom: 2rem;
}

.nav_logo-icon {
    font-size: 1.25rem;
}

.nav_logo-name {
    font-weight: 700;
}

.flex {
    display: flex;
    justify-content: space-between;
}

.toggle_nav,
.nav_link {
    position: relative;
    margin-bottom: 1rem;
    transition: .3s;
}

.toggle_nav,
.nav_icon {
    font-size: 1.5rem;
}

.menu_icon {
    width: 40px;
    margin-left: 10px;
}

.header_section_flex_left,
.menu_item {
    /* margin-right: 10px; */
    padding: 6px;
}

.header_section_width {
    padding-right: 25px;
}

.user_email {
    color: rgb(150, 150, 150);
    font-size: 15px;
    margin-top: -5px;
}

.show {
    left: 0;
}

.active::before {
    content: "";
    position: absolute;
    left: 0;
    width: 2px;
    height: 32px;
    background-color: var(--primary-color);
}
.dataTable-pagination .active::before {
    background-color: inherit;
}


.height-body-100 {
    min-height: calc(100vh - calc(var(--header-height) + var(--header-maintenance-height) + var(--header-beta-height) + var(--header-alpha-height)));
}

.height-100 {
    height: 100vh;
}

.header_section_flex_left {
    display: flex;
    align-items: center;
}

/* JS moving Items here */

.show_nav {
    width: calc(var(--nav-width-closed) + var(--nav-width)); 
}

.nav_pinned {
    margin-top: calc(var(--header-height) + var(--header-maintenance-height) + var(--header-beta-height) + var(--header-alpha-height));
    height: calc(99.95vh - calc(var(--header-height) + var(--header-maintenance-height) + var(--header-beta-height) + var(--header-alpha-height)));
}

.body-pd {
    padding-left: calc(var(--nav-width-closed) + var(--nav-width)) !important;
    transition: .5s;
}

.content-area {
    transition: .5s;
}

.header-open {
    padding-left: calc(var(--nav-width-closed) + var(--nav-width) + 1.75rem);
    transition: .5s;
}


/* -----------LIst Drop-down hidden section-------- */

.list_drop_down {
    background-color: var(--background-color2);
}

.list_drop_down:hover {
    background-color: var(--background-color2) !important;
}

.sub_text {
    color: var(--primary-color);
    font-size: 15px;
}

.list_drop_down_hide {
    display: none;
}

#layOrganizationDropDownMenu {
    padding: 0;
    margin: 0;
    max-height: calc(100vh - calc(var(--header-height) * 2) - var(--header-maintenance-height) - var(--header-beta-height) - var(--header-alpha-height));
    overflow-y: scroll;
    z-index: var(--z-fixed-very-important);;
}

#layNotificationsDropDownMenu {
    min-width: calc(60vw);
}

#lock-menu-icon {
    margin-right: .5rem;
}

@media only screen and (max-width: 1550px) {
    #layNotificationsDropDownMenu {
        min-width: calc(50vw);
    }
}

@media only screen and (max-width: 1200px) {
    #layNotificationsDropDownMenu {
        min-width: calc(70vw);
    }
}

/* -----------LIst Drop-down hidden section-------- */

@media only screen and (max-width: 710px) {
    #layNotificationsDropDownMenu {
        min-width: 100vw;
    }
    #Organization_Name,
    #User_FirstLastName {
        display: none;
    }

    #lock-menu-icon {
        display: none;
    }

    .header_section_width {
        padding: 0;
    }

    .l-navbar {
        margin-top: 50px;
        transition: .5s;
    }

    .header_logo_remove {
        /* display: none; */
        padding-left: 20px;
        margin: 0;
        width: 0;
        z-index: var(--z-fixed-very-important);
    }

    .header {
        padding: 0;
        justify-content: center;
        margin-left: -0px;
    }

    .header-open {
        padding-left: 0;
        transition: .5s;
    }
    
    .body-pd {
        padding-left: 0;
        transition: .5s;
        margin: 0;
    }    

    .Table tr td > * {
        float: right !important;  
        text-align: right !important;   
        justify-content: right !important;
    }
    
    .Table tr td a.btn {
        margin-left: 5px;
        margin-bottom: 5px;
    }
}

@media only screen and (max-width: 525px) {
    .Table tr td > * {
        font-size: 0.8rem;
    }
}


#TableSearchBox {
    background-image: url("../../assets/images/search.svg"); /* Add a search icon to input */
    background-position: 10px 12px; /* Position the search icon */
    background-size: 24px 24px; /* Sizing the icon to fit in */
    background-repeat: no-repeat; /* Do not repeat the icon image */
    width: 100%; /* Full-width */
    font-size: 14px; /* Increase font-size */
    padding: 12px 20px 12px 40px; /* Add some padding */
    border: 1px solid #ddd; /* Add a grey border */
    margin-bottom: 12px; /* Add some space below the input */
}

.Table {
    border-collapse: collapse; /* Collapse borders */
    width: 100%; /* Full-width */
    font-size: 16px; /* Increase font-size */
}

.Table {
    border: 1px solid var(--background-color2);
}

.Table td, .Table th {
    padding: 0px;
    vertical-align: middle !important;
}
.Table th a, .Table td {
    text-align: left; /* Left-align text */
    padding: 12px; /* Add padding */
}
.Table th[data-sortable="false"]{
    text-align: left; /* Left-align text */
    padding: 12px; /* Add padding */
    cursor: default;
}

.Table tr.active {
    background-color: var(--background-color2);
}

.dataTable-pagination li.active a {
    color: var(--button-text-color) !important;
}

.dataTable-sorter::before, .dataTable-sorter::after {
    display: none;
}

.Table th {
    cursor: pointer;
}

.Table tr td img, .Table tr td svg {
    height: 40px;
    width: 40px;
    margin-right: 10px;
}

.Table tr td:nth-child(1) a {
    text-decoration: none;
    color: inherit;
}

.Table tr {
    /* Add a bottom border to all table rows */
    border-bottom: 1px solid var(--background-color2);
}

.Table thead, .Table tfoot, .Table tr:hover {
    /* Add a background color to the table header and on hover */
    background-color: var(--background-color2);
}


/* -------------DEVICE.PHP STYLING ---------------*/

.machine-Title {
    color: var(--primary-color);
    font-size: 45px;
}

.wh-150, .wh-150 svg {
    width: 150px;
    height: 150px;
}

.wh-50, .wh-50 svg {
    width: 50px;
    height: 50px;
}

.wh-40, .wh-40 svg {
    width: 40px;
    height: 40px;
}

#imgDeviceType svg, a.dropdown-item svg {
    width: 50px;
    height: 50px;
}

a.dropdown-item svg {
    width: 40px;
    height: 40px;
}

.progress {
    width: 100%;
    background-color: rgb(58, 58, 58);
    height: 1.5rem;
}

.progress-bar {
    background-color: var(--primary-color);
}

.left-line {
    border-left: 1px solid var(--primary-color);
}

.vl {
    border-right: 1px solid var(--primary-color);
    width: 1px;
}
.header-height {
    height: 1.5rem;
}
.device-info-container {
    margin-top: 0.5rem;
    min-height: calc(100% - 1.75rem);
}

.w-60 {
    width: 60%;
}
.w-35 {
    width: 35%;
}
.list-none li::before {
    content: none;
}
.SignalTableData {
    color: var(--text-light-color);
}
.SignalTableData label {
    color: var(--text-light-color);
}

.color-light {
    color: var(--text-light-color) !important;
}

@keyframes slideIn {
    0%   {transform: scaleY(0);    }
    100% {transform: scaleY(1);}
  }
  .flex_column{
    display:flex;
    flex-direction: column;
  }

  #expanded {
    border: 1px solid var(--primary-color);
    bottom: 0px;
    left: 0px;
    right: 0px;
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 3.2rem;
    display: none;
    position: fixed;
    background-color: var(--input-background-color);
    animation-name: slideIn;
    animation-duration: 0.3s;
    transform-origin: bottom;
    width: 98%;
    z-index: var(--z-fixed-important);
    border-top-left-radius: 16px;
    border-top-right-radius: 16px;
    align-items: center;
    gap: 5px;
    padding: 5px;
  }
  #expanded a {
      display: flex;
      flex-direction: column;
      overflow: hidden;
      justify-content: center;
      margin-bottom: 0;
      padding: 0 !important;
      width: 19%;
      height: 100%;
      font-size: 0.6rem;
      margin-bottom: 2rem;
    }
  .bottom-nav {
    border: 1px solid var(--primary-color);
    bottom: 0px;
    left: 0px;
    right: 0px;
    margin: auto;
    position: fixed;
    background-color: var(--background-color);
    height: 4rem;
    width: 98%;
    z-index: var(--z-fixed-important);
    border-top-left-radius: 16px;
    border-top-right-radius: 16px;
    display: flex;
    align-items: center;
    gap: 5px;
    padding: 5px;
    justify-content: space-between;
  }

  .bottom-nav a {
    display: flex;
    flex-direction: column;
    overflow: hidden;
    justify-content: center;
    margin-bottom: 0;
    padding: 0 !important;
    width: 19%;
    height: 100%;
    font-size: 0.6rem;
  }
@media only screen and (max-width: 710px) {
  .bottom-active {
    background-color: var(--primary-color);
    border-radius: 5px;
  }
  body {
    padding-left: 0.1rem;
    padding-right: 0.1rem;
    padding-bottom: 20%;
  }
  #body{
    padding-top: 0;
  }
  hr {
    margin: 0;
  }
  table, thead, tbody, th, td, tr { 
	display: block; 
    position: relative;
  }
  thead {
    display: none;
  }

  tr:nth-child(odd){
    background-color: var(--background-color2);
  }

  td::before {
    margin-right: auto;
    left: 6px;
    content: attr(data-label);
  }

  #laySensorDropDownMenu
  {
    width: 90%;
    right: 0.5rem!important;
  }
  .button-small{
    width: 2rem!important;
  }
  .header_menu_section{
    gap: 5px;
  }
  #layContent{
    position: relative;
    z-index: auto;
  }
  
 .layFilterButtons button {
   width: auto;
 }
}
.ql-toolbar{
    background-color: #161719;
    border: none !important;
}
.ql-formats{
    background-color: #16171900;
    color: white;
}
.ql-formats button svg line{
    color: white;
}
.ql-editor{
    border: none !important;
}
.ql-blank{
    border: none !important;
}
.ql-picker-label{
    background-color: var(--input-background-color) !important;
    color: white;
}
.ql-bold{
    background-color: #212529 !important;
}
.ql-italic{
    background-color: #212529 !important;
}
.ql-underline{
    background-color: #212529 !important;
}
.ql-link{
    background-color: #212529 !important;
}
.ql-list{
    background-color: #212529 !important;
}
.ql-clean{
    background-color: #212529 !important;
}
/* .ql-snow.ql-toolbar button svg, .ql-snow .ql-toolbar button svg {
    color: white !important;
} */
.ql-stroke {
    color: white !important;
    stroke: white !important;
    opacity: 1;
}
.ql-fill {
    color: white !important;
    stroke: white !important;
    opacity: 1;
}

.ml-login-container {
    padding-top: 190px;
}


.signalCheck[type="checkbox"] {
    cursor: pointer;
    -webkit-appearance: none;
    appearance: none;
    background-color: var(--background-color);
    margin: 0;
    font: inherit;
    color: var(--primary-color);
    width: 1.15em;
    height: 1.15em;
    border: 0.1em solid var(--primary-color);
    border-radius: 0.15em;
    transform: translateY(-0.075em);
    display: grid;
    place-content: center;
  }

.signalCheck[type="checkbox"]::before {
    content: "";
    width: 0.65em;
    height: 0.65em;
    transform: scale(0);
    transition: 120ms transform ease-in-out;
    box-shadow: inset 1em 1em var(--primary-color);
    transform-origin: center;
    clip-path: polygon(14% 44%, 0 65%, 50% 100%, 100% 16%, 80% 0%, 43% 62%);
}

.signalCheck[type="checkbox"]:checked::before {
    transform: scale(0.8);
  }

.signalCheck[type="checkbox"]:focus {
    outline: max(2px, 0.15em) solid currentColor;
    outline-offset: max(2px, 0.15em);
  }

.nav-pills .tab-btn {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    box-sizing: border-box;
    background-color: transparent !important;
    border: 0px;
    border-radius: .25rem .25rem 0 0 !important;
    cursor: pointer;
    max-width: 360px;
    color: var(--text-light-color) !important;
}

.nav-pills .active:before {
    background-color: transparent;
}

.nav-pills .active {
    border-bottom: 3px solid var(--primary-color) !important;
}

.FormEditItemContainer label .bi {
    display: none;
}
.FormEditItemContainer:hover label .bi {
    display: inline-block;
}

.viewCheckboxes {
    display: inline-flex !important;
    background-color: var(--background-color);
    flex-direction: column;
    align-items: start;
    margin-top: 10px;
    position: absolute;
    z-index: var(--z-fixed-very-important);
    border: 1px solid var(--primary-color);
    border-radius: 10px;
    padding: 14px;
    right: 50px;
    bottom: -80px;
    width: 12rem;
}

.checkboxDrop {
    display: none;
    align-items: center;
    justify-content: center;
    position: relative;
}

#prodHover:hover .checkboxDrop {
    display: flex;
}

#prodHover:not(:hover) .viewCheckboxes {
    display: none !important;
}
  
  .rangeInp{
    display: inline-block;
    vertical-align: middle;
    font-size: 1em;
    font-family: Arial, sans-serif;
  }
  
  .rangeOut {
    background: var(--primary-color);
    padding: 5px 16px;
    border-radius: 3px;
    color: #fff;
    vertical-align: middle;
    font-size: 1em;
    font-family: Arial, sans-serif;
  }
  
  .rangeOut{
    width: 40px;
    padding: 4px 5px;
    border: 1px solid #bbb;
    border-radius: 3px;
  }
  
  /* input[type="range"]:focus,
  input[type="number"]:focus {
    box-shadow: 0 0 3px 1px #4b81dd;
    outline: none;
  } */
  
  .rangeInp {
    -webkit-appearance: none;
    margin-right: 15px;
    width: 200px;
    height: 7px;
    background: rgba(255, 255, 255, 0.6);
    border-radius: 5px;
    background-image: var(--primary-color);
    background-size: 70% 100%;
    background-repeat: no-repeat;
  }
  
  /* Input Thumb */
  .rangeInp::-webkit-slider-thumb {
    -webkit-appearance: none;
    height: 20px;
    width: 20px;
    border-radius: 50%;
    background: var(--button-color);
    cursor: ew-resize;
    box-shadow: 0 0 2px 0 #555;
    transition: background .3s ease-in-out;
  }
  
  .rangeInp::-moz-range-thumb {
    -webkit-appearance: none;
    height: 20px;
    width: 20px;
    border-radius: 50%;
    background: var(--button-color);
    cursor: ew-resize;
    box-shadow: 0 0 2px 0 #555;
    transition: background .3s ease-in-out;
  }
  
  .rangeInp::-ms-thumb {
    -webkit-appearance: none;
    height: 20px;
    width: 20px;
    border-radius: 50%;
    background: var(--button-color);
    cursor: ew-resize;
    box-shadow: 0 0 2px 0 #555;
    transition: background .3s ease-in-out;
  }
  
  .rangeInp::-webkit-slider-thumb:hover {
    background: var(--primary-color);
  }
  
  .rangeInp::-moz-range-thumb:hover {
    background: var(--primary-color);
  }
  
  .rangeInp::-ms-thumb:hover {
    background: var(--primary-color);
  }
  
  /* Input Track */
  .rangeInp::-webkit-slider-runnable-track  {
    -webkit-appearance: none;
    box-shadow: none;
    border: none;
    background: transparent;
  }
  
  .rangeInp::-moz-range-track {
    -webkit-appearance: none;
    box-shadow: none;
    border: none;
    background: transparent;
  }
  
  .rangeInp::-ms-track {
    -webkit-appearance: none;
    box-shadow: none;
    border: none;
    background: transparent;
  }

.rangeOut::-webkit-outer-spin-button,
.rangeOut::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* Firefox */
.rangeOut {
    -moz-appearance: textfield;
}

.Clickable:hover {
    cursor: pointer;
}

.footText {
    font-weight: bold;
}

.spinner-border {
    margin-top: 10px;
}

.dropArrow {
    position: relative;
    opacity: 0;
    z-index: 1;
    left: -25%;
    cursor: pointer;
}

.imgMove {
    position: relative;
    left: 25%;
    cursor: pointer;
    z-index: 0;
}

.switch-container {
    display: flex;
    align-items: center;
    gap: 10px;
    margin-bottom: 10px;
}

.toggleDesc {
    margin: 0;
    min-width: 200px;
}

.switch {
    position: relative;
    display: inline-block;
    width: 40.8px;
    height: 25.6px;
}
 
.switch input {
    opacity: 0;
    width: 0;
    height: 0;
}
 
.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: var(--input-background-color);
    -webkit-transition: 0.4s;
    transition: 0.4s;
}
 
.slider:before {
    position: absolute;
    content: "";
    height: 19.2px;
    width: 20.8px;
    left: 3.2px;
    bottom: 3.2px;
    background-color: var(--primary-color);
    -webkit-transition: 0.4s;
    transition: 0.4s;
}
 
input:checked + .slider {
    background-color: var(--button-color);
}
 
input:checked + .slider:before {
    background-color: var(--input-background-color);
}
 
input:focus + .slider {
    box-shadow: 0 0 1px var(--button-color);
}
 
input:checked + .slider:before {
    -webkit-transform: translateX(15px);
    -ms-transform: translateX(15px);
    transform: translateX(15px);
}
 
.slider.round {
    background-color: var(--input-background-color);
    border-radius: 34px;
}
 
.slider.round:before {
    border-radius: 50%;
}
h6.d-flex {
    font-size: 1.2rem;
}

@media (max-width: 1328px) {
    h6.d-flex {
        font-size: 1rem;
    }
}
#divTable.TableShortened th{
    width: 50px !important;
  }

select.form-select {
    padding: .375rem 0rem .375rem .2rem;
}

@media only screen and (max-width: 710px) {
    #TableFootdivTable > tr > td::before {
        content: "";
    }

    #TableFootdivTable > tr {
        display: flex;
        width: 100%;
        justify-content: space-between;
    }

    tfoot {
        display: flex;
    }

    #TableBodydivTable tr > td:nth-child(1) {
        font-weight: bold;
    }

    .checkText {
        flex-wrap: wrap;
    }

    .dataTable-table {
        max-width: 100% !important;
    }

    #TableBodydivTable > tr > td {
        display: flex;
        align-items: center;
        border-bottom: 1px solid var(--text-light-color);
    }

    #TableBodydivTable > tr > td:nth-child(8) {
        border-bottom: none;
    }

    #TableBodydivTable > tr > td > span {
        display: inline-flex;
        width: 50%;
        height: 100%;
    }

    #TableBodydivTable > tr > td > span > select.selPar:not(.dropArrow) {
        width: 150px;
    }

    #TableBodydivTable > tr > td > span > select.selPar {
        width: 25%;
    }

    .dropArrow {
        left: 5%;
    }

    #TableBodydivTable > tr > td > a {
        margin-bottom: 0px;
    }

    div#body {
        padding: 10px;
    }

    .commentBtn {
        width: auto !important;
    }

    .form-select:focus {
        /* position: relative; */
        left: -30px;
    }
}

.csvBtnClass {
    display: flex;
    justify-content: end;
}

.checkText > h4 {
    margin-bottom: 0px;
}

#btnExport {
    margin-right: 5px;
}

@media only screen and (max-width: 462px) { 
    #divTable > div > div.dataTable-top > div.dataTable-search {
        float: left;
        margin-top: 5px;
    }

}

#TableHeaddivTable > tr > th:nth-child(8) {
    width: 15% !important;
}

#TableHeaddivTable > tr > th:nth-child(7) {
    width: 10% !important;
}

#TableHeaddivTable > tr > th:nth-child(1) {
    width: 5% !important;
}

@media only screen and (max-width: 575px) {
    select.form-select.selPar {
        width: 50px;
    }

    #divSearchFilterButtons {
        flex-direction: column;
    }

    .checkText {
        margin-top: 10px;
        justify-content: space-between;
        display: flex;
        width: 100%;
    }

    #searchButton {
        margin-top: 10px;
        justify-content: space-between;
        display: flex;
        width: 100%;
    }

    #searchButton > h4 {
        margin-right: auto;
    }
}

@media only screen and (max-width: 395px) {

    #btnCreateMachine {
        float: none !important;
        margin-top: 5px;
    }
}

@media only screen and (max-width: 362px) { 
    .checkText {
        flex-direction: column;
        align-items: normal !important;
    }

    .checkText > h4 {
        margin-bottom: 5px;
    }

    #searchButton {
        flex-direction: column;
        margin-top: 0px;
    }

    div.dataTable-top {
        padding-left: 0px;
    }
}

select.selPar, input.inpPar {
    min-width: 100px !important;
}

/* thead:not(#TableHeadTableMachineRollout, #TableHeadTableMachineDocs) {
    display: none;
} */

thead#TableHeadTableMachineRollout, thead#TableHeadTableMachineDocs {
    background-color: var(--background-color2);
}

thead#TableHeadTableMachineRollout > tr > th, thead#TableHeadTableMachineDocs > tr > th {
    padding: 8px 10px !important;
    vertical-align: middle !important;
}